## org.eclipse.emf.databinding.edit
Class EditingDomainEObjectObservableValue

    java.lang.Object
      org.eclipse.core.databinding.observable.AbstractObservable
          org.eclipse.core.databinding.observable.value.AbstractObservableValue
              org.eclipse.emf.databinding.EObjectObservableValue
                  org.eclipse.emf.databinding.edit.EditingDomainEObjectObservableValue

All Implemented Interfaces:
  IObservable, IObserving, IObservableValue

    public class EditingDomainEObjectObservableValue

extends EObjectObservableValue

PROVISIONAL This API is subject to arbitrary change, including renaming or removal.

Field Summary
`protected EditingDomain` `domain`

Fields inherited from class org.eclipse.emf.databinding.EObjectObservableValue
`eObject, eStructuralFeature, listener`

Constructor Summary
`EditingDomainEObjectObservableValue(EditingDomain domain, EObject eObject, EStructuralFeature eStructuralFeature)`
`EditingDomainEObjectObservableValue(Realm realm, EditingDomain domain, EObject eObject, EStructuralFeature eStructuralFeature)`

Method Summary
`protected void` `addListener(java.lang.Object arg0, IObservablesListener arg1)`
`void` `dispose()`
`protected void` `doSetValue(java.lang.Object value)`
`protected void` `fireEvent(ObservableEvent arg0)`
`Realm` `getRealm()`
`protected boolean` `hasListeners()`
`protected void` `removeListener(java.lang.Object arg0, IObservablesListener arg1)`

Methods inherited from class org.eclipse.emf.databinding.EObjectObservableValue
`doGetValue, firstListenerAdded, getObserved, getValueType, lastListenerRemoved, toString`

Methods inherited from class org.eclipse.core.databinding.observable.value.AbstractObservableValue
`addValueChangeListener, fireChange, fireValueChange, getValue, isStale, removeValueChangeListener, setValue`

Methods inherited from class org.eclipse.core.databinding.observable.AbstractObservable
`addChangeListener, addStaleListener, checkRealm, fireStale, removeChangeListener, removeStaleListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.core.databinding.observable.IObservable
`addChangeListener, addStaleListener, getRealm, removeChangeListener, removeStaleListener`

Field Detail

### domain

    protected EditingDomain domain

Constructor Detail

### EditingDomainEObjectObservableValue

    public EditingDomainEObjectObservableValue(EditingDomain domain,
                                               EObject eObject,
                                               EStructuralFeature eStructuralFeature)

### EditingDomainEObjectObservableValue

    public EditingDomainEObjectObservableValue(Realm realm,
                                               EditingDomain domain,
                                               EObject eObject,
                                               EStructuralFeature eStructuralFeature)

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `IObservable`
  Overrides:
    `dispose` in class `EObjectObservableValue`

### doSetValue

    protected void doSetValue(java.lang.Object value)

  Overrides:
    `doSetValue` in class `EObjectObservableValue`

### addListener

    protected void addListener(java.lang.Object arg0,
                               IObservablesListener arg1)

### removeListener

    protected void removeListener(java.lang.Object arg0,
                                  IObservablesListener arg1)

### hasListeners

    protected boolean hasListeners()

### fireEvent

    protected void fireEvent(ObservableEvent arg0)

### getRealm

    public Realm getRealm()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.